JiBXException (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.runtime.JiBXException class

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime
Class JiBXException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jibx.runtime.JiBXException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JiBXParseException, RecoverableException, UnrecoverableException

    public class JiBXException

extends java.lang.Exception

Binding exception class. This is used for all types of errors that can be generated by the runtime.

Author:
  Dennis M. Sosnoski
See Also:
  Serialized Form

Constructor Summary
`JiBXException(java.lang.String msg)` Constructor from message.
`JiBXException(java.lang.String msg, java.lang.Throwable root)` Constructor from message and wrapped exception.

Method Summary
`java.lang.Throwable` | `getCause()` Get the cause of this exception.
`java.lang.Throwable` | `getRootCause()` Get root cause exception.
`void` | `printStackTrace()` Print stack trace to standard error.
`void` | `printStackTrace(java.io.PrintStream s)` Print stack trace to stream.
`void` | `printStackTrace(java.io.PrintWriter s)` Print stack trace to writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JiBXException

    public JiBXException(java.lang.String msg)

  Constructor from message.

  Parameters:
    `msg` - message describing the exception condition

### JiBXException

    public JiBXException(java.lang.String msg,
                         java.lang.Throwable root)

  Constructor from message and wrapped exception.

  Parameters:
    `msg` - message describing the exception condition
    `root` - exception which caused this exception

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Get root cause exception.

  Returns:
    exception that caused this exception

### getCause

    public java.lang.Throwable getCause()

  Get the cause of this exception. Provided for compatibility with later JVMs, overriding the `java.lang.Throwable` method.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    exception that caused this exception

### printStackTrace

    public void printStackTrace()

  Print stack trace to standard error. This is an override of the base class method to implement exception chaining.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Print stack trace to stream. This is an override of the base class method to implement exception chaining.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - stream for printing stack trace

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Print stack trace to writer. This is an override of the base class method to implement exception chaining.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - writer for printing stack trace

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |